ALTER TABLE Prod_Familias DROP CONSTRAINT FK_PROFAM_AR_ARBA_COT_Productos_Tipos
GO

ALTER TABLE Prod_Familias DROP COLUMN Id_AR_ARBA_COT_ProdTipo
GO

DROP TABLE dbo.AR_ARBA_COT_Productos_Tipos
GO

CREATE TABLE dbo.AR_ARBA_COT_Productos_Tipos(
	Id_AR_ARBA_COT_ProdTipo VARCHAR(6) NOT NULL,
	Unid_Medida VARCHAR(10),
	Descripcion VARCHAR(1000),
	Flag_Seleccionable TINYINT)
GO

ALTER TABLE AR_ARBA_COT_Productos_Tipos ADD CONSTRAINT PK_ACPT_PorId PRIMARY KEY (Id_AR_ARBA_COT_ProdTipo)
GO

ALTER TABLE Prod_Familias ADD Id_AR_ARBA_COT_ProdTipo VARCHAR(6)
GO

ALTER TABLE Prod_Familias ADD CONSTRAINT FK_PROFAM_AR_ARBA_COT_Productos_Tipos FOREIGN KEY (Id_AR_ARBA_COT_ProdTipo) REFERENCES AR_ARBA_COT_Productos_Tipos (Id_AR_ARBA_COT_ProdTipo)
GO

ALTER TABLE Productos ADD Id_AR_ARBA_COT_ProdTipo VARCHAR(6)
GO

ALTER TABLE Productos ADD CONSTRAINT FK_PRO_AR_ARBA_COT_Productos_Tipos FOREIGN KEY (Id_AR_ARBA_COT_ProdTipo) REFERENCES AR_ARBA_COT_Productos_Tipos (Id_AR_ARBA_COT_ProdTipo)
GO